 <!DOCTYPE html>
 <html>
  <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Gestion des cookies</title>
  </head>
  <body>
  <?php
  define("WEB_EOL","<br/>");
  // Initialisation
  $Nom    = null ;
  $Prenom = null ;
  $Age    = null ;
  // Lecture des cookies
  if (!empty($_COOKIE['Nom']))    $Nom    = $_COOKIE['Nom']    ;
  if (!empty($_COOKIE['Prenom'])) $Prenom = $_COOKIE['Prenom'] ;
  if (!empty($_COOKIE['Age']))    $Age    = $_COOKIE['Age']    ;
  // Sécurisation contre l'injection HTML
  $Nom    = strip_tags($Nom)    ;
  $Prenom = strip_tags($Prenom) ;
  $Age    = strip_tags($Age)    ;
  // Affichage
  echo "Lecture des Cookies  : ".WEB_EOL   ;
  echo "$Nom - $Prenom - $Age ans".WEB_EOL ;
  echo 'Contenu de $_COOKIE : '.WEB_EOL;
  print_r($_COOKIE);
  echo WEB_EOL;
  ?>
 </body>
</html>
